O que fazer quando um plugin do WordPress falha

Não entre em pânico!

Portanto, seu site não será carregado e você verá algumas mensagens de erro confusas como esta…

Obsoleto: O parâmetro obrigatório $ids segue o parâmetro opcional $table em /you/wp-content/plugins/user-login-history/inc/common/helpers/class-db.php na linha 113

Aviso: Não é possível modificar as informações do cabeçalho - cabeçalhos já enviados por (saída iniciada em you/wp-content/plugins/user-login-history/inc/common/helpers/class-db.php:113) em /Você/wp-includes/pluggable.php na linha 1083

Esse tipo de coisa está acontecendo muito com as versões mais recentes do PHP 8. Um plugin ou tema ofensivo está causando o travamento do seu site WordPress porque não está atualizado. Para corrigir isso, você precisa impedi-lo de carregar com o WordPress.

Use o FTP ou o gerenciador de arquivos do seu provedor de hospedagem para encontrar o plug-in descrito no erro. Depois de localizá-lo, renomeie a pasta do plug-in adicionando um único caractere ao final do nome, como um sublinhado. Assim…

você/wp-content/plugins/usuário-login-história

você/wp-content/plugins/usuário-login-história_

Agora atualize sua página do WordPress e ela deve ser carregada sem erros.

Se você for para a página do WordPress Plugin, ele irá reclamar que o plugin não pode ser carregado. Isso é bom. Você pode trabalhar no problema e renomeá-lo novamente ou excluí-lo e instalar uma nova cópia. Reverter para o PHP 7.4 frequentemente resolverá o problema.

Deixe um comentário

Este site usa o Akismet para reduzir o spam. Saiba como seus dados de comentário são processados.